Subject: Re: bug#78835: Wrong pop-to-buffer behavior after one display-buffer-in-side-window call

From: Dmitry Gutov <[email-masked]>
Date: Sun, 13 Jul 2025 17:28:50 +0300

On 13/07/2025 14:53, Dmitry Gutov wrote:
> On 21/06/2025 05:23, Dmitry Gutov wrote:
>>> a/lisp/window.el b/lisp/window.el
>>> index f24e581ba1e..b27e1ca56e9 100644
>>> --- a/lisp/window.el
>>> +++ b/lisp/window.el
>>> @@ -5452,6 +5452,10 @@ quit-restore-window
>>>            (if (window-combined-p window)
>>>                        (/= (nth 3 quad) (window-total-height window))
>>>                      (/= (nth 3 quad) (window-total-width window))))
>>> +
>>> +    (unless (window-combined-p window)
>>> +      (y-or-n-p "Adjusting width, continue? "))
>>> +
>>>       ;; Try to resize WINDOW to its old height but don't signal an
>>>       ;; error.
>>>       (condition-case nil
>>>
>>> If and when it asks you, apply
>>
>> Thank you. So far I'm running with just this addition for a couple of 
>> hours, and have not seen the prompt yet (nor the bug with horizontal 
>> resizing again). Will report back when that happens.
> 
> Just an update: I've seen the prompt today and moved to step 2 (removed 
> the 'unless horizontal' condition).

It didn't seem to help.

Here is a screencast which shows me evaluating the new code with 
eval-buffer (somewhere in the middle of the video), and still seeing the 
prompt when I repeat a certain sequence of actions:

- Show the diff buffer (for window.el), actually.
- Quit it with 'q'.

BTW, despite me answering the prompt 'n' the width gets adjusted anyway.

Hope the link works, if not, I can reupload it somewhere else:

https://jumpshare.com/s/cb8wWgizBFmSSF31fsPr